
Redmine - Defect #23596

Filter on issue ID with between/lesser/greater operator does not work

2016-08-16 15:14 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.3.1   

Resolution: Fixed Affected version: 3.3.0

Description

Version 3.3.0 introduced the feature to filter by issues by id, including range, see #4806.

This feature does not work correctly. When a range should be displayed, only a single issue is returned.

Several issues exist in test database:

 list_of_issues.PNG 

Query result should show IDs 5 to 10:

 list_greater_id_five.PNG 

Query result should show IDs 6 to 8:

 list_range_id_six_to_eight.PNG 

Related issues:

Related to Redmine - Feature #4806: Filter the issue list by issue ids Closed 2010-02-11

Associated revisions

Revision 15751 - 2016-08-30 21:28 - Jean-Philippe Lang

Filter on issue ID with between/lesser/greater operator does not work (#23596).

Revision 15770 - 2016-08-31 18:55 - Jean-Philippe Lang

Merged r15751 (#23596).

History

#1 - 2016-08-17 04:51 - dee cay

This should work.

app/models/issue_query.rb

  def sql_for_issue_id_field(field, operator, value)

    ids = value.first.to_s.scan(/\d+/).map(&:to_i).join(",")

    if ids.present?

      if operator == "=" 

        "#{Issue.table_name}.id IN (#{ids})" 

      else

        sql_for_field("id", operator, value, Issue.table_name, "id")

      end

    else

      "1=0" 

    end

  end

#2 - 2016-08-28 15:01 - Go MAEDA

- File defect-23596.diff added

- Status changed from New to Confirmed

- Priority changed from High to Normal
https://www.redmine.org/issues/4806


- Target version set to 3.3.1

I confirmed the problem and dee cay's fix (#23596#note-1) works fine.

This is a patch made from dee cay's post: defect-23596.diff

Setting target version to 3.3.1.

#3 - 2016-08-29 06:59 - Toshi MARUYAMA

- Related to Feature #4806: Filter the issue list by issue ids added

#4 - 2016-08-30 21:28 - Jean-Philippe Lang

- Subject changed from Filter on issue ID does not work correctly to Filter on issue ID with between/lesser/greater operator does not work

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Slightly different fix applied in r15751, thanks for pointing this out.

#5 - 2016-08-31 18:55 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

list_of_issues.PNG 20.4 KB 2016-08-16 Anonymous

list_greater_id_five.PNG 13.5 KB 2016-08-16 Anonymous

list_range_id_six_to_eight.PNG 13.5 KB 2016-08-16 Anonymous

defect-23596.diff 592 Bytes 2016-08-28 Go MAEDA
